Summary: Finds files on a system via a central database.
Name: slocate
Version: 2.0
Release: 1
Group: Applications/File
Copyright: GPL
Url: http://pep.netnation.com/slocate/
Packager: Hao Li <hli@wag.caltech.edu>
Source0: ftp://ftp.mkintraweb.com/pub/linux/slocate/slocate-%{version}.tar.gz
Source1: slocate.cron
Buildroot: /var/tmp/%{name}-root

%description
slocate searches through a central database (updated nightly) for files
which match a given glob pattern. This allows you to quickly find files
anywhere on your system.


%prep
%setup -q


%build
make CFLAGS="$RPM_OPT_FLAGS"


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{usr/{bin,man/man1},etc/cron.daily,var/lib/slocate}
# Install binaries
install -s slocate		$RPM_BUILD_ROOT/usr/bin
ln -s slocate			$RPM_BUILD_ROOT/usr/bin/locate
ln -s slocate			$RPM_BUILD_ROOT/usr/bin/updatedb
# Install manpages
install -m644 slocate.1.linux	$RPM_BUILD_ROOT/usr/man/man1/slocate.1
ln -s slocate.1			$RPM_BUILD_ROOT/usr/man/man1/locate.1
install -m644 updatedb.1	$RPM_BUILD_ROOT/usr/man/man1
# Install cron script
install -m755 %{SOURCE1} $RPM_BUILD_ROOT/etc/cron.daily


%pre
/usr/sbin/groupadd -g 21 -r -f slocate


%files
%defattr(-,root,root)
%doc CHANGES INSTALL LICENSE MIRRORS README
%attr(2755,root,slocate) /usr/bin/slocate
/usr/bin/locate
/usr/bin/updatedb
/usr/man/man*/*
/etc/cron.daily/slocate.cron
%dir %attr(750,root,slocate) /var/lib/slocate


%clean
rm -rf $RPM_BUILD_ROOT

